---
title: Run a data observability monitor
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Data Observability
---

# Run a data observability monitor{% #run-a-data-observability-monitor %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/data-observability/monitors/{monitor_id}/run      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/data-observability/monitors/{monitor_id}/run      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/data-observability/monitors/{monitor_id}/run  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run |

### Overview

Manually triggers a run for a data observability monitor. Only monitors that are not scheduled (manually-runnable) can be triggered this way.

OAuth apps require the `data_observability_monitors_write, monitors_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#data-observability) to access this endpoint.



### Arguments

#### Path Parameters

| Name                         | Type    | Description                                      |
| ---------------------------- | ------- | ------------------------------------------------ |
| monitor_id [*required*] | integer | The ID of the data observability monitor to run. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The response returned when a data observability monitor run is triggered.

| Parent field | Field                  | Type   | Description                                                                                         |
| ------------ | ---------------------- | ------ | --------------------------------------------------------------------------------------------------- |
|              | data [*required*] | object | The data object returned when a data observability monitor run is triggered.                        |
| data         | id [*required*]   | string | The unique identifier of the monitor run.                                                           |
| data         | type [*required*] | enum   | The JSON:API resource type for a data observability monitor run. Allowed enum values: `monitor_run` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "id": "abc123def456",
    "type": "monitor_run"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export monitor_id="12345" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/data-observability/monitors/${monitor_id}/run" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
